---
title: "The accepted input/option matrix per convert name"
description: "GET https://api.markitdown.ai/v1/formats — The accepted input/option matrix per convert name. Authenticate with x-api-key."
url: https://markitdown.ai/docs/api/get-formats
updated: 2026-09-26
source: markitdown.ai
---

# The accepted input/option matrix per convert name

> GET https://api.markitdown.ai/v1/formats — The accepted input/option matrix per convert name. Authenticate with x-api-key.

## Endpoint

**GET** `/v1/formats` — The accepted input/option matrix per convert name

`getFormats` is part of the Formats resource of the markitdown.ai API v1. Send an API key in the `x-api-key` header (or `Authorization: Bearer mdai_…`); all bodies are `application/json` unless a response lists another media type.

## Example request

**curl**

```bash
curl https://api.markitdown.ai/v1/formats \
  -H "x-api-key: $MARKITDOWN_API_KEY"
```

## Responses

- `200` Formats catalog.

## Related

- [API reference](https://markitdown.ai/docs/api)
- [Error codes](https://markitdown.ai/docs/errors)
- [Introduction](https://markitdown.ai/docs)
- [Document Conversion APIs](https://markitdown.ai/developers)
